Subject: Re: Debian-1.1 problems: locale + dosemu + nfs-mount

From: Christophe Le Bars <[email-masked]>
Date: Fri, 5 Jul 96 21:26 MET DST

**On 04 Jul, In article "Debian-1.1 problems: locale + dosemu + nfs-mount",
**	RO (Rolf Obrecht) writes:
RO>Hi out there,
RO>I upgraded from 0.93 to 1.1 and found some problems:
RO>
RO>1.) Several programs which try to set the locale fail and give me error
RO>messages like this:
RO>
>> warning: setlocale(LC_CTYPE,"") failed.
>> warning: LC_ALL = "(null)", LC_CTYPE = "ISO8859-1", LANG = "(null)",
>> warning: falling back to the "C" locale
RO>
RO>The programs "locale" and "localedef" seem to be missing. After fetching 
RO>the libc-source and building these progs, I found "locale" reporting the
RO>LC-Variables correctly corresponding to the values of my
RO>environment-variables, but this had no effect on the error messages.
RO>
RO>I DID install the wg-15-locale lib package. Where is my mistake ???

If you did install the wg15-locale-1-1.deb package... there is no need
to have "locale" and "localedef". wg15-locale install all the compiled
locales files in /usr/share/locale.

You must set LANG with one of this values: (may be "de_DE" for you!)
da_DK, de_AT, de_BE, de_CH, de_DE, de_LU, en_CA, en_DK,
en_GB, en_IE, en_US, es_ES, et_EE, fi_FI, fo_FO, fr_BE, fr_CA,
fr_FR, fr_CH, fr_LU, gr_GR, hr_HR, hu_HU, is_IS, it_IT, iw_IL,
kl_GL, lt_LT, lv_LV, nl_BE, nl_NL, no_NO, pl_PL, pt_PT, ro_RO,
ru_RU, sl_SI, sv_FI and sv_SE

PS: When i'll have more time... i'll make a package with localedef and locale:
libc5-nls... and make some symbolics links in /usr/share/locale...

-- 
Christophe Le Bars - Email : [email-masked], [email-masked]
01001DEBIAN0LINUX0110ESPERANTO000000101011ML11111010010GNU01100001
101110100101000111111 Utilisez Linux Debian! 100101010010000110010